I just create code,but I forgot to find list a point,anybody know or can you help me to inform,thanks. ; adx is stand for arc divide by x value ; Design by Ade Suharna <> ; 28 October 2004 ; program no. 127/10/2004 ; Edit by (defun c:adx (/) (vl-load-com) (setq oldosmode (getvar "osmode")) (setvar "osmode" 1) (setq en (entsel " SELECT AN ARC: ")) (setq ent (entget (car en))) (setq info10 (assoc 10 ent)) (setq opt (fix(getreal " ENTER NEW VALUE FOR DIVIDE: "))) (command "_divide" en opt "") (while (setq ss (ssget)) (setq lispoin (mapcar 'chr (vl-string->list ss)))) ; still trouble !! I want list the point like this ((0.0 0.0 0.0)(1.0 0.5 0.0)(2.0 0.75 0.) etc....) (setq len (strlen lispoin))